Siduction Forum

Siduction Forum => Upgrade Warnings (DE / EN) => Topic started by: michaa7 on 2013/12/05, 20:30:00

Title: [solved] don't d-u until further notice
Post by: michaa7 on 2013/12/05, 20:30:00
It seems there is something going on (here on 32bit):
Quote
# LANG=C apt-get update && LANG=C apt-get dist-upgrade  --ignore-hold -d
...

Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  bluefish cairo-dock-weblets-plug-in catdvi cdcover cm-super cm-super-minimal devhelp disc-cover
  dvipng evolution-data-server frescobaldi gdm3 geany-plugin-webhelper gimp gimp-gmic
  gimp-gutenprint gimp-plugin-registry gnome-shell gnome-user-guide gphpedit gvfs-backends
  latex-xcolor libdevhelp-3-0 libdevhelp-3-2 libgdata13 libgoa-1.0-0 libharfbuzz0a libreoffice
  libreoffice-base libreoffice-base-core libreoffice-calc libreoffice-core libreoffice-draw
  libreoffice-gnome libreoffice-gtk libreoffice-help-de libreoffice-impress libreoffice-kde
  libreoffice-math libreoffice-officebean libreoffice-report-builder-bin libreoffice-writer
  libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 libyelp0 lilypond lilypond-data metacity midori pdfjam pgf
  python-uno shotwell texlive texlive-base texlive-bibtex-extra texlive-binaries texlive-extra-utils
  texlive-font-utils texlive-fonts-extra texlive-fonts-recommended texlive-generic-recommended
  texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-french texlive-lang-german
  texlive-lang-greek texlive-lang-italian texlive-lang-other texlive-lang-polish
  texlive-lang-portuguese texlive-lang-spanish texlive-latex-base texlive-latex-extra
  texlive-latex-recommended texlive-latex-recommended-doc texlive-math-extra texlive-pictures
  texlive-pstricks texlive-publishers yelp zenity


I lean back, cross my arms and do nothing except waiting for things to come.
Title: Re: don't d-u until further notice
Post by: piper on 2013/12/05, 21:54:23
On my end (64bit)

Quote
The following packages will be REMOVED:
  libharfbuzz0a libreoffice-base-core libreoffice-calc libreoffice-core libreoffice-draw libreoffice-help-en-us libreoffice-impress libreoffice-math
  libreoffice-writer mythes-en-us
The following NEW packages will be installed:
  libharfbuzz0b
The following packages will be upgraded:
  dpkg dpkg-dev libdpkg-perl libharfbuzz-icu0 libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libpango-1.0-0 libpango1.0-0 libpangocairo-1.0-0
  libpangoft2-1.0-0 libpangoxft-1.0-0 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common
15 upgraded, 1 newly installed, 10 to remove and 0 not upgraded.
Title: Re: don't d-u until further notice
Post by: timc on 2013/12/05, 22:10:12
What does harfbuzz mean?  ???

Tim

PS - http://packages.debian.org/sid/libharfbuzz0a
HarfBuzz is an implementation of the OpenType Layout engine

PPS - HarfBuzz is in an ongoing transition that is 0% complete
http://release.debian.org/transitions/
Title: Re: don't d-u until further notice
Post by: bluelupo on 2013/12/06, 09:46:42
hi all
Me too, many packages would be removed (64 bit system). So wait and see  8)

Code: [Select]
# apt-get dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden ENTFERNT:
  flashplugin-nonfree ghostscript-cups google-talkplugin gtk-recordmydesktop gvfs-backends install-usb-gui kmplayer libglade2-0 libgoa-1.0-0 libnepomukcleaner4
  libpango1.0-0 libvte9 libwebkitgtk-3.0-0 pinentry-gtk2 python-gtk2 python-notify sane xbindkeys-config xulrunner-10.0 xulrunner-20.0 zenity zim
Die folgenden NEUEN Pakete werden installiert:
  libfakeroot libicu52 libopusfile0 linux-headers-3.12-3.towo.2-siduction-amd64 linux-image-3.12-3.towo.2-siduction-amd64 sidu-base siduction-kdm-default-faces
Die folgenden Pakete sind zurückgehalten worden:
  libharfbuzz-icu0 libpangoft2-1.0-0 rsnapshot
Die folgenden Pakete werden aktualisiert (Upgrade):
  apt apt-utils ark binutils cpp-4.8 cups cups-bsd cups-client cups-common cups-daemon cups-filters cups-ppdc cups-server-common dbus dbus-x11 debhelper devscripts
  dictionaries-common dolphin dpkg dpkg-dev dtv-scan-tables elinks elinks-data elinks-lite fakeroot foomatic-db freespacenotifier g++-4.8 gcc-4.8 gcc-4.8-base gdisk

[...]

363 aktualisiert, 7 neu installiert, 22 zu entfernen und 3 nicht aktualisiert.
Es müssen 441 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 16,5 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] n
Abbruch.
Title: Re: don't d-u until further notice
Post by: musca on 2013/12/06, 12:26:59
Hi michaa7,

according to http://release.debian.org/transitions/html/harfbuzz.html (http://release.debian.org/transitions/html/harfbuzz.html) the transition now seems to be complete for the i386 architecture. But the users of libreoffice on the AMD64 architecture still have to wait a bit ...

greetings
musca
Title: Re: don't d-u until further notice
Post by: timc on 2013/12/06, 14:11:55
Now, it wants to install a new libharfbuzz module, but it still wants to remove LibreOffice. So I'm still going to wait.

Tim
Title: Re: don't d-u until further notice
Post by: michaa7 on 2013/12/06, 23:52:36
here on 32 bit the transition seems completed, no packages removed. If someone could tell me the same goes for 64 bit I would mark this thread solved ...
Title: Re: don't d-u until further notice
Post by: vilde on 2013/12/07, 00:53:24
 d-u still wants to remove all  Libreoffice.  Everything else is ok. (64 bit)
Title: Re: don't d-u until further notice
Post by: devil on 2013/12/07, 01:03:19
It is resolved here on 64-bit. Only libharfbuzz0a libharfbuzz0a:i386 libnepomukcleaner4 get removed.


greetz
devil
Title: Re: don't d-u until further notice
Post by: ayla on 2013/12/07, 09:00:58
It is resolved here on 64-bit. Only libharfbuzz0a libharfbuzz0a:i386 libnepomukcleaner4 get removed.
yup, d-u is fine on 64 bit now

greets
ayla
Title: Re: don't d-u until further notice
Post by: mylo on 2013/12/07, 09:18:12
Code: [Select]
Die folgenden Pakete werden ENTFERNT:
  foomatic-filters hpijs-ppds libharfbuzz0a libnepomukcleaner4

Hi,

foomatic and hpijs are printer stuff, so with harf and cleaner this seems ok. Will go to d-u. In case of problem I'll report here.
Title: Re: don't d-u until further notice
Post by: vilde on 2013/12/07, 09:20:20
Code: [Select]
Die folgenden Pakete werden ENTFERNT:
  foomatic-filters hpijs-ppds libharfbuzz0a libnepomukcleaner4

Hi,

foomatic and hpijs are printer stuff, so with harf and cleaner this seems ok. Will go to d-u. In case of problem I'll report here.
Same here, LibreOffice will stay now.
Title: Re: [solved] don't d-u until further notice
Post by: johnlittle001 on 2013/12/07, 13:22:01
It's NOT solved for me.  apt-get dist-upgrade still wants to remove Libreoffice

I'm 64 bit
Title: Re: [solved] don't d-u until further notice
Post by: ayla on 2013/12/07, 13:26:01
did you run an apt-get update before the apt-get dist-upgrade?
Title: Re: [solved] don't d-u until further notice
Post by: johnlittle001 on 2013/12/07, 14:16:04
Yes, I first ran apt-get update

Perhaps my mirror has not yet been refreshed (I use http://ftp.us.debian.org)
Title: Re: [solved] don't d-u until further notice
Post by: ayla on 2013/12/07, 14:23:54
 
Code: [Select]
apt-cache policy libreoffice
libreoffice:
  Installiert:           1:4.1.3-1+b0+b1
  Installationskandidat: 1:4.1.3-1+b0+b1
  Versionstabelle:
 *** 1:4.1.3-1+b0+b1 0
        500 ftp://ftp.spline.de/pub/siduction/fixes/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     1:4.1.3-1 0
        500 http://ftp.de.debian.org/debian/ unstable/main amd64 Packages
My libreoffice now comes from siduction/fixes repo, not from debian.
Title: Re: [solved] don't d-u until further notice
Post by: piper on 2013/12/07, 14:26:13
Quote from: johnlittle001
Yes, I first ran apt-get update

Perhaps my mirror has not yet been refreshed (I use http://ftp.us.debian.org (http://ftp.us.debian.org))
Probably the problem, I use that mirror also, just wait it out (libreoffice still wants to be removed here too)
Title: Re: [solved] don't d-u until further notice
Post by: michaa7 on 2013/12/07, 14:37:57
I am using the genric mirror  http://http.debian.net (http://http.debian.net) , which flawlessly works here since two or three years.
Could you/someone test if that circumvents the problem (of a mirror being updated haltingly)?
Title: Re: [solved] don't d-u until further notice
Post by: johnlittle001 on 2013/12/07, 15:01:21
I thought that I would give your suggestion a try.  I edited my sources list to substituted http.debian.net for ftp.us.debian, then did an update and the then attempted an upgrade but the results were the same (it wanted to remove Libreoffice).

I've switched back to the earlier mirror and I guess I'll try again tomorrow.
Title: Re: [solved] don't d-u until further notice
Post by: michaa7 on 2013/12/07, 15:18:37
Hm, but it should solve the problem:
Quote
  The redirector uses the geo and network location of the user and the mirrors, the architecture of the requested files, IP address family, the availability and freshness of the mirrors ...
Quote
Advantages over a good old, specific mirror
No offline mirrors
No out of date mirrors


So mayby it's worth to investigate further on http://http.debian.net/ (http://http.debian.net/) website. There is a demonstration which gives you some hints. And if it still does not work, maybe it would be an opportunity to get in contact with the author.
But maybe it is a limitation by design:
Quote
The population may be bigger than the number of mirrors listed above, meaning there were other candidates but they were not considered because of their distance to you
Title: Re: [solved] don't d-u until further notice
Post by: melmarker on 2013/12/07, 18:01:19
http://mirror.debian.org/status.html - if you have problems with your mirror, have a look at the status. The mirrors sync all 6 hours, if not broken. Waiting for a few hours may fix bad behaviours of apt eventually.

Beside of that - if we provide fixes - libreoffice in that special case - the mirrors are not broken, but some of them sync only one time a day, so it can take up to two days in the worst case until our fixes reach our mirrors :)

Edit: One can check the state of our mirrors with http://mirrorstats.siduction.org/
Title: Re: [solved] don't d-u until further notice
Post by: dibl on 2013/12/07, 18:43:21
The LO and harfbuzz problems appear to be resolved, but cups and other printing packages (foomatic-filters, hplip, hpijs-ppds) are still in a mess.
Title: Re: [solved] don't d-u until further notice
Post by: michaa7 on 2013/12/07, 18:44:11
using http://mirror.debian.org/status.html (http://mirror.debian.org/status.html) shows that mirror.cc.columbia.edu (NY),  debian.lcs.mit.edu (MASS) or debian.gtisc.gatech.edu (GA) seem the first us mirrors to be updated (They are now whereas other us mirros ( like ftp.us.debian.org ) are still behind!).
Maybe it's worth to keep one of them as primary or secondary source?


@ dibl
foomatic-filters are replaced, and as to hpijs-ppds, I let it go.
Title: Re: [solved] don't d-u until further notice
Post by: dibl on 2013/12/07, 18:59:08

@ dibl
foomatic-filters are replaced ....


Hmmmm -- well, perhaps they will be, but


Code: [Select]
root@imerabox:/# apt-cache depends printer-driver-foo2zjs
printer-driver-foo2zjs
  Depends: libc6
  Depends: libcups2
  Depends: libjbig0
  Depends: python3
  Depends: xz-utils
    xz-utils:i386
  Depends: foomatic-filters
    cups-filters
  Depends: dc
    dc:i386
  Suggests: psutils
.
.


So I'm not sure I can expect to print on my HP 1606dn without it.


and


Code: [Select]
root@imerabox:/# apt-get install foomatic-filters
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  ghostscript-cups
The following packages will be REMOVED:
  cups cups-filters hplip printer-driver-gutenprint printer-driver-hpcups printer-driver-postscript-hp
The following NEW packages will be installed:
  foomatic-filters ghostscript-cups
0 upgraded, 2 newly installed, 6 to remove and 0 not upgraded.
Need to get 0 B/224 kB of archives.
After this operation, 4,941 kB disk space will be freed.
Do you want to continue? [Y/n]

Title: Re: [solved] don't d-u until further notice
Post by: michaa7 on 2013/12/07, 19:11:23
It seems this is still an ongoing transition. Read: "apt-cache show cups-filters". cups-ghostscript is replaced, too, but sure it is better to wait until cups transition is completed as not all packages seem updated to their new dependencies.
Title: Re: [solved] don't d-u until further notice
Post by: melmarker on 2013/12/08, 01:01:31
dibl:
Code: [Select]
aptitude show cups-filters

You will see that the foomatic filters now are provided by cups-filters.
Title: Re: [solved] don't d-u until further notice
Post by: timc on 2013/12/08, 02:39:09
dibl:
Code: [Select]
aptitude show cups-filters

You will see that the foomatic filters now are provided by cups-filters.

Yes, I saw that. But I cannot actually get them to work. I will try some more...

Never mind. It is working again.

Tim
Title: Re: [solved] don't d-u until further notice
Post by: dibl on 2013/12/08, 03:12:07
Nope.  Here in North America, we are still waiting ...


Code: [Select]
root@imerabox:/# apt-get install foomatic-filters
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  ghostscript-cups
The following packages will be REMOVED:
  cups cups-filters hplip printer-driver-gutenprint printer-driver-hpcups printer-driver-postscript-hp
The following NEW packages will be installed:
  foomatic-filters ghostscript-cups
0 upgraded, 2 newly installed, 6 to remove and 0 not upgraded.
Need to get 0 B/224 kB of archives.
After this operation, 4,941 kB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.
root@imerabox:/# apt-get install cups-filters
Reading package lists... Done
Building dependency tree       
Reading state information... Done
cups-filters is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


Perhaps tomorrow ......

Title: Re: [solved] don't d-u until further notice
Post by: timc on 2013/12/08, 03:33:47
dibl, I meant that my printer is working without the foomatic-filters, which were removed this morning. It is apparently working with the cups-filters package, as melmarkers said, above. I did not even have to change the printer configuration.

Tim
Title: Re: [solved] don't d-u until further notice
Post by: devil on 2013/12/08, 13:21:30
To make situations like the one in this thread easier to grasp, the package daptup might be helpful
http://screenshots.debian.net/package/daptup


greetz
devil
Title: Re: [solved] don't d-u until further notice
Post by: michaa7 on 2013/12/08, 15:14:20
Thanks devil,


as here the cups transition seems completed daptup doesn't show anything related. But I wonder what to think about that bunch of outdated (veraltete) packages:
Quote
Veraltete Pakete:
  avahi-daemon: 0.6.31-2 -> 0.6.31-3, 277 Tage
  avahi-utils: 0.6.31-2 -> 0.6.31-3, 277 Tage
  exiftran: 2.07-10 -> 2.07-10+b1, 641 Tage
  foomatic-db-engine: 4.0.9-2 -> 4.0.9-3, 205 Tage
  gthumb: 3:3.0.1-2 -> 3:3.2.5-1, 538 Tage
  gthumb-data: 3:3.0.1-2 -> 3:3.2.5-1, 538 Tage
  libavahi-client-dev: 0.6.31-2 -> 0.6.31-3, 277 Tage
  libavahi-client3: 0.6.31-2 -> 0.6.31-3, 277 Tage
  libavahi-common-data: 0.6.31-2 -> 0.6.31-3, 277 Tage
  libavahi-common-dev: 0.6.31-2 -> 0.6.31-3, 277 Tage
  libavahi-common3: 0.6.31-2 -> 0.6.31-3, 277 Tage
  libavahi-core7: 0.6.31-2 -> 0.6.31-3, 277 Tage
  libavahi-glib1: 0.6.31-2 -> 0.6.31-3, 277 Tage
  libcharls1: 1.0-2 -> 1.0-3, 606 Tage
  libgif-dev: 4.1.6-10 -> 4.1.6-11, 415 Tage
  libgif4: 4.1.6-10 -> 4.1.6-11, 415 Tage
  libqxt-core0: 0.6.1-7 -> 0.6.2-1, 445 Tage
  libqxt-gui0: 0.6.1-7 -> 0.6.2-1, 445 Tage
  libslang2: 2.2.4-15 -> 2.2.4-16, 526 Tage
  libxerces-c28: 2.8.0+deb1-3 -> 2.8.0+deb1-3+b1, 527 Tage
  libxerces-c3.1: 3.1.1-3 -> 3.1.1-3+b1, 527 Tage
  phonon-backend-vlc: 0.6.2-2 -> 0.7.0-1, 194 Tage
  vlc: 2.0.8-1+b2 -> 2.1.1-1, 129 Tage
  vlc-nox: 2.0.8-1+b2 -> 2.1.1-1, 129 Tage
  vlc-plugin-notify: 2.0.8-1+b2 -> 2.1.1-1, 129 Tage


@dibl
why don't you try one of the updated us-mirrors I posted?
Title: Re: [solved] don't d-u until further notice
Post by: dibl on 2013/12/08, 15:24:01
Thanks Micha.  As of this morning, after a d-u, printing is working as expected.  I confirmed I have the cups-filters, as well as hplip and the printer-driver-foo2zjs packages installed, and it's all good.  Thanks!
Title: Re: [solved] don't d-u until further notice
Post by: devil on 2013/12/08, 15:39:36
michaa7,


I think this list should only appear in the first run od the tool.


greetz
devil
Title: Re: [solved] don't d-u until further notice
Post by: michaa7 on 2013/12/08, 15:59:43
Stupid me, I did let it run *before* really d-u-ing, so packages were d/l-ed but not installed.
OTOH, it didn't show anything related to cups-filter (what I would expect with the new packages not installed and which was the cause for all the discussion ). I wonder if it is necessary to put a package explicitly on the watch list? And how to do that (there is no "man duptup")?


Any hints?
Title: Re: [solved] don't d-u until further notice
Post by: dibl on 2013/12/08, 16:09:45
(there is no "man duptup")?


man daptup
Title: Re: [solved] don't d-u until further notice
Post by: michaa7 on 2013/12/08, 16:18:08
lol, thanks

Title: Re: [solved] don't d-u until further notice
Post by: spacepenguin on 2013/12/26, 16:02:16
So apart from printer stuff like foomatic-filters (obviously ok), ghostscript-cups, hpijs-ppds two other packages were removed: libfm-gtk-bin and libnepomukcleaner4. What about those two?
Title: Re: [solved] don't d-u until further notice
Post by: devil on 2013/12/26, 16:24:13
libfm-gtk-bin can be installed after libfm-tools are manualy installed. libnepomukcleaner4 still wants to remove half the system, but the package is optional anyways.


greetz
devil



Title: Re: [solved] don't d-u until further notice
Post by: michaa7 on 2013/12/26, 16:31:52
Quote
# apt-cache show libfm-gtk-bin
Package: libfm-gtk-bin
Source: libfm
...
Description: transitional package for libfm-tools
 This is transitional package for libfm-tools, and can be safely removed
 after the installation is complete.

typo @ devil ? installed = uninstalled?


And on 32 bit there is no libnepomukcleaner4:
Quote
# apt-cache policy libnepomukcleaner4
N: Paket libnepomukcleaner4 kann nicht gefunden werden.